> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate how many points will be generate for a giving product, according to Purchase Objective configuration



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Public%20APIs/swagger.json post /v1/pub/Product/points
openapi: 3.0.0
info:
  title: BonifiQ Public APIs
  description: "# Introduction \nThis is the BonifiQ Public APIs documentation. With these endpoints you can interact with BonifiQ systems and enhance your program points.\n\nThese Public endpoints are intended to be used in a frontend, browser-based enviroment such as with jQuery, React, Vue, etc\n\n# Limitations\nThese Public endpoints are very limited, as they are not as much secure as the [Private APIs](https://api.bonifiq.com.br/apidocs/private).\n\nPrivate informations such as e-mails, document number, phones, program points usage, etc are very limited as responses from this APIs. \n\nIf your requirement is in a more broad scenario, requiring more security or access to more information please use our [Private APIs](https://api.bonifiq.com.br/apidocs/private)\n\n# Authentication\nTo make a call from this APIs you need an API Token. This Token can be generated in BonifiQ admin panel, at the API Keys menu.\n\nAfter generating this API Token, you need to pass it from the X-BQ-ApiToken http header for every request. \n\nAs an example, for using it with a Java Script ```fetch``` call you would do:\n```\nfetch('https://api.bonifiq.com.br/v1/pub/customer/1/points', {\n\t\tmethod: 'GET',\n\t\theaders: {\n\t\t\t'X-BQ-APITOKEN': 'YOUR_API_TOKEN'\n\t\t},\n\t}).then(response => response.json()).then(response => console.log(response))\n```\n\n# How to use this page\n## Making calls\nYou can simulate, test and make calls to API from this Swagger page. To do that:\n- Click on the **Authorize** button\n- Inform the API Token and click on **Authorize**\n- From the list bellow, choose an API call and click on **Try it out**\n- Inform the required parameters (if any) and click on **Execute**\n\n## Verifying requests and responses bodies\nIn every API Call there is an explanation of what each field means, theirs types and accepted values for all Requests and Responses.\n\nTo view this information, just go to any API Call bellow and in the Responses section, click on the Schema."
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: Customization
    description: Retrieve customizations for the loyalty program
paths:
  /v1/pub/Product/points:
    post:
      tags:
        - Product
      summary: >-
        Calculate how many points will be generate for a giving product,
        according to Purchase Objective configuration
      operationId: Product_Points
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ProductPointRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
      security:
        - TokenAuthentication: []
components:
  schemas:
    ProductPointRequest:
      type: object
      additionalProperties: false
      required:
        - Id
        - Price
      properties:
        Id:
          type: string
          description: Product Id on the ecommerce platform
          minLength: 1
        Price:
          type: number
          description: Current product selling price
          format: decimal
          example: 10.5
        PriceCurrency:
          type: string
          description: 'Optional: the currency used in the pricing (eg: BRL)'
          nullable: true
        Name:
          type: string
          description: Name of the product which price is being calculated
          nullable: true
  securitySchemes:
    TokenAuthentication:
      type: apiKey
      description: API Tokeen
      name: X-BQ-ApiToken
      in: header

````